summaryrefslogtreecommitdiffstats
path: root/network/libdnet
diff options
context:
space:
mode:
author Marco Bonetti2010-05-13 01:00:05 +0200
committer Robby Workman2010-05-13 01:00:05 +0200
commit76d02d3f8a741a6aab380e128d211b0727004918 (patch)
tree048b14b7b619a99b57115b3a8dda0b0a4d2e31e7 /network/libdnet
parent110efb9bfd346d8959c2966334f04728f614a556 (diff)
downloadslackbuilds-76d02d3f8a741a6aab380e128d211b0727004918.tar.gz
network/libdnet: Added to 13.0 repository
Diffstat (limited to 'network/libdnet')
-rw-r--r--network/libdnet/README8
-rw-r--r--network/libdnet/libdnet.SlackBuild95
-rw-r--r--network/libdnet/libdnet.info10
-rw-r--r--network/libdnet/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/network/libdnet/README b/network/libdnet/README
new file mode 100644
index 0000000000..885d6c8218
--- /dev/null
+++ b/network/libdnet/README
@@ -0,0 +1,8 @@
+libdnet provides a simplified, portable interface to several low-level
+networking routines, including:
+ * network address manipulation
+ * kernel arp(4) cache and route(4) table lookup and manipulation
+ * network firewalling (IP filter, ipfw, ipchains, pf, PktFilter, ...)
+ * network interface lookup and manipulation
+ * IP tunnelling (BSD/Linux tun, Universal TUN/TAP device)
+ * raw IP packet and Ethernet frame transmission
diff --git a/network/libdnet/libdnet.SlackBuild b/network/libdnet/libdnet.SlackBuild
new file mode 100644
index 0000000000..f8e77865f6
--- /dev/null
+++ b/network/libdnet/libdnet.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for libdnet.
+
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=libdnet
+VERSION=${VERSION:-1.11}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+DOCS="LICENSE README THANKS"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/libdnet/libdnet.info b/network/libdnet/libdnet.info
new file mode 100644
index 0000000000..b6fc26d28f
--- /dev/null
+++ b/network/libdnet/libdnet.info
@@ -0,0 +1,10 @@
+PRGNAM="libdnet"
+VERSION="1.11"
+HOMEPAGE="http://libdnet.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/libdnet/libdnet-1.11.tar.gz"
+MD5SUM="04c394ed8e1e7fc455456e79e908916d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="rworkman"
diff --git a/network/libdnet/slack-desc b/network/libdnet/slack-desc
new file mode 100644
index 0000000000..f5f51c4790
--- /dev/null
+++ b/network/libdnet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+libdnet: libdnet (portable interface to several low-level networking routines)
+libdnet:
+libdnet: libdnet provides a simplified, portable interface to several low-level
+libdnet: networking routines, including:
+libdnet: * network address manipulation
+libdnet: * kernel arp(4) cache and route(4) table lookup and manipulation
+libdnet: * network firewalling (IP filter, ipfw, ipchains, pf, PktFilter, ...)
+libdnet: * network interface lookup and manipulation
+libdnet: * IP tunnelling (BSD/Linux tun, Universal TUN/TAP device)
+libdnet: * raw IP packet and Ethernet frame transmission
+libdnet: